Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 598105 - [abrt] crash in gbirthday-0.6.4-1.fc12: databases.py:445:parse:ProgrammingError: closing a closed connection
Summary: [abrt] crash in gbirthday-0.6.4-1.fc12: databases.py:445:parse:ProgrammingErr...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gbirthday
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:752d14d5
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-31 12:49 UTC by Julio Lazarotti
Modified: 2010-12-03 14:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 14:09:49 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2010-05-31 12:49 UTC, Julio Lazarotti
no flags Details

Description Julio Lazarotti 2010-05-31 12:49:26 UTC
abrt 1.0.9 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/gbirthday
comment: Does not saving server information
component: gbirthday
executable: /usr/bin/gbirthday
kernel: 2.6.31.9-174.fc12.i686.PAE
package: gbirthday-0.6.4-1.fc12
reason: databases.py:445:parse:ProgrammingError: closing a closed connection
release: Fedora release 12 (Constantine)

backtrace
-----
databases.py:445:parse:ProgrammingError: closing a closed connection

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/gbirthday/status_icon.py", line 53, in reload_gbirthday
    self.addressbook.reload()
  File "/usr/lib/python2.6/site-packages/gbirthday/addressbook.py", line 98, in reload
    database.parse(addressbook=self, conf=self.conf)
  File "/usr/lib/python2.6/site-packages/gbirthday/databases.py", line 445, in parse
    self.conn.close()
ProgrammingError: closing a closed connection

Local variables in innermost frame:
msg: InterfaceError(0, '')
qry: 'SELECT ,  FROM '
self: <gbirthday.databases.MySQL instance at 0xb74b1f2c>
addressbook: <gbirthday.addressbook.AddressBook instance at 0xb74c76ac>
conf: <gbirthday.Conf instance at 0xb74b1c4c>

Comment 1 Julio Lazarotti 2010-05-31 12:49:28 UTC
Created attachment 418289 [details]
File: backtrace

Comment 2 Thomas Spura 2010-06-06 14:51:54 UTC
Thanks for the bug report.

Unfortunately I don't use mysql, so I don't know, if I can actually fix this...

Anyway, could you please post your ~/.gbirthdayrc or the section of mysql with name_raw and date_raw?

There is also the password tiped in, so remember to delete that, when you post that here...

Comment 3 Bug Zapper 2010-11-03 13:48:06 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-12-03 14:09:49 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.